Bug 239985 - sysutils/fluent-bit: Upgrade to 1.2.2
Summary: sysutils/fluent-bit: Upgrade to 1.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-20 07:08 UTC by Artyom Davidov
Modified: 2019-10-13 21:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (girgen)


Attachments
Patch to upgrade sysutils/fluent-bit to 1.2.2 (4.56 KB, patch)
2019-08-20 07:08 UTC, Artyom Davidov
no flags Details | Diff
Synth test build log on FreeBSD 11.3 (907.93 KB, text/plain)
2019-08-20 07:10 UTC, Artyom Davidov
no flags Details
patch-lib_flb__libco_aarch64.c (300 bytes, patch)
2019-08-21 21:11 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Artyom Davidov 2019-08-20 07:08:25 UTC
Created attachment 206720 [details]
Patch to upgrade sysutils/fluent-bit to 1.2.2

Hello!

This patch will upgrade fluent-bit to the latest version 1.2.2

Also it will:
1. Remove previous patches for included chunkio since they were incorporated upstream.
2. Pet portlint.

Due to significant amount of changes it is strongly recommended to read
https://docs.fluentbit.io/manual/installation/upgrade_notes
before performing any upgrade activities.

Release notes are available at:
https://fluentbit.io/announcements/v1.2.2/
Comment 1 Artyom Davidov 2019-08-20 07:10:13 UTC
Created attachment 206721 [details]
Synth test build log on FreeBSD 11.3
Comment 2 Greg V 2019-08-21 21:11:41 UTC
Created attachment 206764 [details]
patch-lib_flb__libco_aarch64.c

Needs this patch for aarch64 (also @ https://github.com/edsiper/flb_libco/pull/8)

And you can switch MASTER_SITES to https://
Comment 3 Artyom Davidov 2019-10-10 13:22:10 UTC
Since the patch to update fluent-bit to 1.3.1 was recently committed to the ports tree ( https://svnweb.freebsd.org/changeset/ports/513923 )
I don't know if we should keep this open.

But as far as I can see that commit is missing the patch from Greg V for aarch64.
Also that patch was not incorporated upstream, so I guess it is still needed even for 1.3.1 to be successfully build on aarch64.
Comment 4 Palle Girgensohn freebsd_committer 2019-10-11 07:48:33 UTC
Sorry to say, I missed this PR for some reason.

The patch for ARM is now included. Thanks!

Did you make a pull request upstreams, BTW?
Comment 5 commit-hook freebsd_committer 2019-10-11 07:49:08 UTC
A commit references this bug:

Author: girgen
Date: Fri Oct 11 07:48:23 UTC 2019
New revision: 514263
URL: https://svnweb.freebsd.org/changeset/ports/514263

Log:
  Upgrade to 1.3.2

  Release notes:	https://fluentbit.io/announcements/v1.3.2/
  PR:		239985

Changes:
  head/sysutils/fluent-bit/Makefile
  head/sysutils/fluent-bit/distinfo
  head/sysutils/fluent-bit/files/patch-lib_flb__libco_aarch64.c
Comment 6 Artyom Davidov 2019-10-11 17:54:55 UTC
(In reply to Palle Girgensohn from comment #4)
Hello Palle,

Greg has made a pull request at flb_libco Github repository as he mentioned earlier in comment #2.
But it is not accepted yet by the flb_libco authors.
Also there he mentions that flb_libco implementation differs from what it's upstream (libco) have.

I'm not quite sure if we should ask fluent-bit authors to incorporate the Greg's fixes in their source tree, 'cause it could bring some more mess to the whole situation. 
Maybe we should wait for the flb_libco authors to fix this upstream?
Comment 7 Greg V 2019-10-13 18:55:25 UTC
(In reply to Artyom Davidov from comment #6)

The 'flb' in 'flb_libco' stands for 'fluent-bit' :) so it's *their* fork.

I pinged the main issue tracker: https://github.com/fluent/fluent-bit/issues/1654
Comment 8 Artyom Davidov 2019-10-13 21:10:41 UTC
(In reply to Greg V from comment #7)
Lol!
I didn't realize that, before you pointed it out. =D

Thanks for pushing this issue upstream.